Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng
Class ExternalEventMonitor

    java.lang.Object
      nextapp.echo2.app.Component
          echopointng.ExternalEventMonitor

All Implemented Interfaces:
  java.io.Serializable, RenderIdSupport

    public class ExternalEventMonitor

extends Component

A `ExternalEventMonitor` can be used to monitor external events that come in via web request URIs.

`ExternalEventMonitor` will inform all attached `ExternalEventListener`s about those web request events.

`ExternalEventMonitor` looks for web application requests with the special marker "E_id=ExternalEvent". This allows other web pages (especially non Echo2 based ones) to link to the Echo web application via an URI, say something like :

>      /servletcontext/servlet?serviceId=ExternalEvent&p1=v1&p2=v2..

The parameters of the web request are packaged into a Map and placed within the `ExternalEvent` object.

`ExternalEventMonitor` is a non visual component.

See Also:
  `ExternalEvent`, `ExternalEventListener`, Serialized Form

Field Summary

Fields inherited from class nextapp.echo2.app.Component
`CHILDREN_CHANGED_PROPERTY, ENABLED_CHANGED_PROPERTY, FOCUS_TRAVERSAL_INDEX_CHANGED_PROPERTY, FOCUS_TRAVERSAL_PARTICIPANT_CHANGED_PROPERTY, LAYOUT_DIRECTION_CHANGED_PROPERTY, LOCALE_CHANGED_PROPERTY, PROPERTY_BACKGROUND, PROPERTY_FONT, PROPERTY_FOREGROUND, PROPERTY_LAYOUT_DATA, STYLE_CHANGED_PROPERTY, STYLE_NAME_CHANGED_PROPERTY, VISIBLE_CHANGED_PROPERTY`

Constructor Summary
`ExternalEventMonitor()` Constructs an `ExternalEventMonitor`

Method Summary
`void` | `addExternalEventListener(ExternalEventListener l)` Adds an `ExternalEventListener` to the `ExternalEventMonitor`
`void` | `dispose()` When the `ExternalEventMonitor` is removed from the component hierarchy it is also made removed from the `ExternalEventMonitorService`
`void` | `fireExternalEvent(ExternalEvent externalEvent)` This is called by the support code to inform all ExternalEventListeners that an external event has ocurred.
`void` | `init()` When the `ExternalEventMonitor` is placed in the component hierarchy it is also made known to the `ExternalEventMonitorService`
`void` | `removeExternalEventListener(ExternalEventListener l)` Removes an `ExternalEventListener` from the `ExternalEventMonitor`
`void` | `setVisible(boolean newValue)` This component can never be made visible.

Methods inherited from class nextapp.echo2.app.Component
`add, add, addPropertyChangeListener, firePropertyChange, getApplicationInstance, getBackground, getComponent, getComponent, getComponentCount, getComponents, getEventListenerList, getFocusTraversalIndex, getFont, getForeground, getId, getIndexedProperty, getLayoutData, getLayoutDirection, getLocale, getParent, getProperty, getRenderId, getRenderIndexedProperty, getRenderIndexedProperty, getRenderLayoutDirection, getRenderLocale, getRenderProperty, getRenderProperty, getStyle, getStyleName, getVisibleComponent, getVisibleComponentCount, getVisibleComponents, hasEventListenerList, indexOf, isAncestorOf, isEnabled, isFocusTraversalParticipant, isRegistered, isRenderEnabled, isRenderVisible, isValidChild, isValidParent, isVisible, processInput, remove, remove, removeAll, removePropertyChangeListener, setBackground, setEnabled, setFocusTraversalIndex, setFocusTraversalParticipant, setFont, setForeground, setId, setIndexedProperty, setLayoutData, setLayoutDirection, setLocale, setProperty, setStyle, setStyleName, validate, verifyInput, visibleIndexOf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExternalEventMonitor

    public ExternalEventMonitor()

  Constructs an `ExternalEventMonitor`

Method Detail

### init

    public void init()

  When the `ExternalEventMonitor` is placed in the component hierarchy it is also made known to the `ExternalEventMonitorService`

  Overrides:
    `init` in class `Component`
  See Also:
    `Component.init()`

### dispose

    public void dispose()

  When the `ExternalEventMonitor` is removed from the component hierarchy it is also made removed from the `ExternalEventMonitorService`

  Overrides:
    `dispose` in class `Component`
  See Also:
    `Component.dispose()`

### addExternalEventListener

    public void addExternalEventListener(ExternalEventListener l)

  Adds an `ExternalEventListener` to the `ExternalEventMonitor`

  Parameters:
    `l` - the ExternalEventListener to add

### removeExternalEventListener

    public void removeExternalEventListener(ExternalEventListener l)

  Removes an `ExternalEventListener` from the `ExternalEventMonitor`

  Parameters:
    `l` - the ExternalEventListener to remove

### fireExternalEvent

    public void fireExternalEvent(ExternalEvent externalEvent)

  This is called by the support code to inform all ExternalEventListeners that an external event has ocurred. This is method not designed to be called by Echo2 applications directly.

  Parameters:
    `externalEvent` - - the new ExternalEvent

### setVisible

    public void setVisible(boolean newValue)

  This component can never be made visible.

  Overrides:
    `setVisible` in class `Component`
  Parameters:
    `newValue` - the new visibility state
  See Also:
    `Component.setVisible(boolean)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD